### Class

# GUPnPAV LastChangeParser

#### Description [src]

    class GUPnPAV.LastChangeParser : GObject.Object
    {
      /* No available fields */
    }

A/V LastChange event XML parser

`GUPnPLastChangeParser` parses XML strings from LastChange events that are generated by AVTransport and RenderingControl services.

#### Ancestors

- GObject

#### Constructors

###### gupnp_last_change_parser_new

No description available.

#### Instance methods

###### gupnp_last_change_parser_parse_last_change

Parses the xml fragment from a LastChange event.

###### gupnp_last_change_parser_parse_last_change_valist

See gupnp_last_change_parser_parse_last_change(); this version takes a va_list for use by language bindings.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPAVLastChangeParserClass {
      GObjectClass parent_class;
      void (* _gupnp_reserved1) (
    void
      );
      void (* _gupnp_reserved2) (
    void
      );
      void (* _gupnp_reserved3) (
    void
      );
      void (* _gupnp_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gupnp_reserved1: void (* _gupnp_reserved1) ( void )`

  No description available.

`_gupnp_reserved2: void (* _gupnp_reserved2) ( void )`

  No description available.

`_gupnp_reserved3: void (* _gupnp_reserved3) ( void )`

  No description available.

`_gupnp_reserved4: void (* _gupnp_reserved4) ( void )`

  No description available.